@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
:root {
    --gradient-primary: linear-gradient(90deg, #7b1fc3 0%, #ff4d58 100%);
}

@font-face{
    font-family: 'open-sans';
    src: url('/fuentes/OpenSans/OpenSans-Regular.ttf') format('truetype');
}

body{
    font-family: 'Raleway', sans-serif;
}

.text-white{
    font-family: 'open-sans'!important;
}

.escondido{
    display: none !important;
}

.card-grid {
    width: 60%;
    margin: 0px auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* máximo 4 por fila */
    gap: 10px;
    justify-items: start; /* cuando falte una tarjeta, alineación a la izquierda */
    padding: 20px;
}

.card-item {
    width: 250px; /* tamaño fijo o ajustable */
    height: 210px;
    border-radius: 15px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    padding: 5px;
    background: var(--gradient-primary);
    transition: transform 0.2s, background 1.5s;
}

.card-itemComplementario {
    width: 100%;
    height: 100%;
     display: flex;
    flex-direction: column;
    justify-content: center; /* centra vertical */
    align-items: center;     /* centra horizontal */
    text-align: center;
    margin: auto 0px;
    padding: 5px;
    background-color: white;
    border-radius: 10px;
    font-size: 18px;
    font-family: 'raleway', sans-serif;
    text-align: center;
}

.card-itemComplementario:hover {
    background: var(--gradient-primary);
}

.card-item:hover {
    background: var(--gradient-primary);
}

.card-grid-horarios {
    width: 75%;
    margin: 0px auto 60px 0px;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* máximo 4 por fila */
    gap: 10px;
    justify-items: start; /* cuando falte una tarjeta, alineación a la izquierda */
    padding: 5px 20px 5px 0px;
}

.card-item-horarios {
    width: 250px; /* tamaño fijo o ajustable */
    height: auto;
    border-radius: 7px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    display: flex;
    flex-direction: column;
    justify-content: center; /* centra vertical */
    align-items: center;     /* centra horizontal */
    text-align: center;
    padding: 3px;
    background: var(--gradient-primary);
    transition: transform 0.2s, background 1.5s;
}

.card-item-horariosComplementario {
    width: 100%;
    height: 100%;
     display: flex;
    flex-direction: column;
    justify-content: center; /* centra vertical */
    align-items: center;     /* centra horizontal */
    text-align: center;
    margin: auto 0px;
    padding: 5px;
    background-color: white;
    border-radius: 7px;
    font-size: 18px;
    font-family: 'raleway', sans-serif;
    text-align: center;
}

.card-item-horariosComplementario:hover {
    background: var(--gradient-primary);
}

.card-item-horarios:hover {
    background: var(--gradient-primary);
}

.card-item-horarios:hover p {
    color: #fff;
}

.card-item:hover p {
    color: #fff;
}





.tituloPrecio{
    font-size: 24px;
    text-align: center;
    padding: 10px 60px;
    background: var(--gradient-primary);
    color: #fff;
    border-radius: 8px;
    margin: 0.7rem 0px 1.3rem 0px;
}

.circuloPrecio {
    padding: 30px;
    width: 40%;
    min-width: 250px;
    height: 250px;
    border-radius: 50%;
    border: 18px solid transparent;
    background-image:
        linear-gradient(white, white),
        var(--gradient-primary);
    background-origin: border-box;
    background-clip: padding-box, border-box;

    display: flex;
    flex-direction: column;    /* precio arriba, divisa abajo */
    justify-content: center;  /* centra verticalmente */
    align-items: center;      /* centra horizontalmente */
    text-align: center;
}

.precio {
    font-size: 32px;
    padding-bottom: 5px;
    font-weight: bold;
    color: #000;
}

.divisa {
    font-size: 24px;
    font-weight: 600;
    color: #000;
    margin-top: -5px; /* opcional para acercar la divisa al precio */
}

.swiper-button-next-horario{
    color: white!important;
    border: 5px solid #000;
}
.swiper-button-prev-horario{
    color: white!important;
    border: 5px solid #000;
}

.btn-retroceder{
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    background-color: transparent!important;
}
.btn-retroceder:hover{
    color: #fff;
    background-color: transparent!important;
}

#stepModal .modal-header{
    background: linear-gradient(325deg, #C1161F, #B5165B, #7D3EAB, #334897)!important;
}


.faq {
    width: 100%;
    max-width: 800px; /* ajusta según tu layout */
    margin: 0 auto;
    font-family: sans-serif;
}

.faq .itemFAQ{
    margin-bottom: 20px;
    background: var(--gradient-primary);
    padding: 5px;
    border-radius: 10px;
}

.faq .itemFAQComplemen{
    background-color: #fff;
    border-radius: 10px;
}

.faq .itemFAQ.active .itemFAQComplemen{
    background: var(--gradient-primary);
}

.faq .header {
    width: 100%;
    padding: 15px 25px;
    border-radius: 10px;
    color: #000;
    font-size: 17px;
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    transition: 0.3s ease;
}

.faq .itemFAQ.active .header {
    color: #fff;
}

.faq .content {
    display: none;
    padding: 8px 25px;
    border-radius: 0 0 10px 10px;
    font-size: 15px;
}

.faq .itemFAQ.active .content {
    color: #fff;
}



.faq .header .icon {
    /* font-family: Consolas; */
    /* font-size: 40px; */
    width: 30px;
    height: 30px;
    color: black!important;
    transition: transform .3s;
    transform: rotate(90deg);
}

.faq .itemFAQ.active .header .icon {
    color: #fff!important;
    transform: rotate(-90deg);
}



.elementor-kit-9 button:hover{
    /* background: var(--gradient-primary)!important;
    color: #fff!important; */
}




.card-item img{
    width: 50px;
    height: 50px;
    margin-bottom: 15px;
}

.card-item i{
    width: 20px;
    height: 20px;
    margin-bottom: 15px;
    color: #000;
}

.card-item:hover i{
    color: #fff;
}

.card-item p {
    color: #000;
    margin: 0;
    font-size: 14px;
    font-weight: 500;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
}


.banner-footer{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background: var(--gradient-primary);
    padding: 60px 20px 200px 20px;
}

.elementor-widget-testimonial .elementor-testimonial-wrapper .elementor-testimonial-content:before{
    background: none;
}

.elementor-10 .elementor-element.elementor-element-76f95ab .elementor-heading-title{
    font-family: "Poppins", Sans-serif;
    font-size: 4em;
    font-weight: 500 !important;
    line-height: 1.3em;
    color: #fff;
}

.elementor-10 .elementor-element.elementor-element-22efe1b .elementor-icon-list-item > .elementor-icon-list-text, .elementor-10 .elementor-element.elementor-element-22efe1b .elementor-icon-list-item > a{
    font-family: "Poppins", Sans-serif;
    font-size: 1.563em;
    font-weight: 600;
    line-height: 1.3em;
    color: #fff !important;
}

.etiqueta-tour{
    padding: 2px;
    width: 100%;
    font-size: 16px;
    font-weight: bold;
    background: white;
    border: 4px solid transparent;
    border-radius: 60px;
    background-image:
    linear-gradient(white, white), /* fondo interno */
    var(--gradient-primary); /* borde */
    background-origin: border-box;
    /* white-space: nowrap; */
    white-space: wrap;
    background-clip: padding-box, border-box;

    color: #000;
    cursor: pointer;
    transition: transform 0.2s, background 1.5s;
}

.etiqueta-tour:hover{
    transform: scale(1.05);
}

#contenedorMenu{
    display: flex;
    flex-wrap: wrap;
    gap: 15px 10px;
    width: 100%;
    justify-content: center;
    margin: 10px auto;
}

.botonPreguntas{
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.tituloNombreTour{
    color: #000;
    font-weight: bold;
    font-family: 'Raleway', sans-serif;
    font-size: 50px;
}

.tituloGenerico{
    text-align: center;
    color: #000;
    font-weight: bold;
    font-family: 'Raleway', sans-serif;
    font-size: 50px;
}

.encabezado{
    background: var(--gradient-primary) !important;

}
#contenidoImportante .card-item{
    height: 350px;
}

.encabezadoPuntoPartida{
    background: var(--gradient-primary);
    border-radius: 10px;
    color: #fff;
    width: 80%;
    margin: 0px auto;
    padding: 30px 70px;
    position: relative;
    z-index: 99;
}

.leyendasMapa td,
.leyendasMapa th {
    border: 0;
}

.leyendasMapa img{
    width: 70px;
    height: 70px;
}

.leyendasMapa > div {
    margin: 0.7rem 0px;
}

.leyendasMapa a{
    color: #000;
    text-decoration: underline;
    font-size: 24px;
}

.leyendasMapa img.disabled, .leyendasMapa span.disabled, .leyendasMapa a.disabled {
    opacity: 0.3;
}

.leyendasMapaSpan{
    color: #000;
    font-size: 24px;
}

.plus-img {
    --size: 40px; /* tamaño del icono */
    display: inline-block;
    width: var(--size);
    height: var(--size);

    background-image: url('/img/plus-icon.png');
    background-size: cover;
    background-position: center;
    border-radius: 50%; /* redondo */
}

.btnMenu{
    display: flex;
    padding: 3px;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    background: var(--gradient-primary);
    color: #000;
    cursor: pointer;
}

.btnMenuComplemento{
    width: 100%;
    height: 100%;
    margin: auto 0px;
    padding: 10px 50px;
    background-color: white;
    border-radius: 10px;
    font-size: 20px;
    font-family: 'raleway', sans-serif;
    text-align: center;
}

.swiper-button-next,
.swiper-button-prev {
    width: 45px!important;
    height: 45px!important;
    background-color: #7b1fc3;
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0,0,0,.25);
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 12px!important;
    color: #fff;
    font-weight: bold;
}



.btnMenu2{
    display: flex;
    padding: 3px 5px;
    justify-content: center;
    align-items: center;
    border-radius: 60px;
    background: var(--gradient-primary);
    color: #000;
    cursor: pointer;
}

#overlay-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.3);
  z-index: 9999;

  display: flex;
  justify-content: center;
  align-items: center;
}

#overlay-loading .loading-text {
  text-align: center;
  color: #fff;
  font-size: 1.2rem;
}

.btnMenu2Complemento{
    width: 100%;
    height: 100%;
    margin: auto 0px;
    padding: 5px;
    background-color: white;
    border-radius: 60px;
    font-size: 18px;
    font-family: 'raleway', sans-serif;
    text-align: center;
}

.btnMenu2:hover > .btnMenu2Complemento {
    color: white;
    background: var(--gradient-primary);
}

.btnMenuComplemento:hover {
    color: white;
    background: var(--gradient-primary);
}

.tituloBlanco{
    color: #fff!important;
}
#mensajeBannerAmarillo{
    font-family: 'raleway', sans-serif!important;
}

.btnMenu:hover > .btnMenuComplemento {
    color: white;
    background: var(--gradient-primary);
}

.btnMenuComplemento:hover {
    color: white;
    background: var(--gradient-primary);
}

.btn-cta.btn-black{
    background: var(--gradient-primary);
    font-family: 'raleway', sans-serif;
    padding: 30px 70px;
}

.diaSeleccionado{
    border: #90be11 5px solid!important;
    background-color: #cdf8c2!important;
}

#contenedorMenu .btnMenu.activo, .btnMenu.activo > .btnMenuComplemento {
    color: white;
    background: var(--gradient-primary);
}

.elementor-element-1e047d4{
    display: none;
}

.botonPreguntas .btnMenu{
    border-radius: 60px;
}
.contenedor-swiper-horarios{
    /* height: 55vh; */
}
.swiperPrecios{
    width: 700px;
    margin: 0px auto 0px 0px;
    max-height: 450px;
}
.ovaev_events_fullcalendar {
    min-height: 400px;
}
.fc-scrollgrid-sync-table{
    max-height: 400px!important;
}

.botonesPrecios{
    /* display: flex; */
    gap: 5px;
    /* margin-bottom: 20px; */
    /* flex-wrap: wrap; */
    justify-content: center;
}

#imagenesTourCarrusel{
    position: absolute;
}

.imgManita{
   display: none;
}

#listaCaracteristicasModal li strong {
    color: #000!important;
}



@media (max-width: 768px) {
    #banner{
        padding: 5px 0px;
    }

    .etiqueta-tour{
        font-size: 12px;
    }

    .btnMenu2Complemento{
        font-size: 14px;
    }

    .cerrar-x {
        padding: 16px 0px!important;
    }

    #mensajeBannerAmarillo{
        font-size: 0.95rem!important;
    }

    .modal-header .logoBlanco{
        max-width: 130px!important;
        max-height: 50px!important;
        min-width: 130px!important;
        min-height: 50px!important;
        height: 50px!important;
        width: 140px!important;
    }

    .imgManita{
        display: block;
        position: absolute;
        width: 80px;
        height: auto;
        animation: moverManita 2s infinite;
        z-index: 1000;
        top: 30px;
        left: 20px;
    }
    .btn-escuchar{
        width: 100%;
    }

    #contenedorPrecios{
        gap: 0px!important;
    }

    .scroll-button{
        z-index:999;
    }

    .banner-footer{
        padding: 40px 20px 100px 20px;
    }

    .banner-footer p{
        font-size: 25px!important;
        margin-bottom: 40px;
    }

    .encabezadoPuntoPartida{
        width: 100%;
        padding: 30px 70px;
    }

    .elementor-10 .elementor-element.elementor-element-854a0c > .elementor-element-populated {
        padding: 12px 38px 12px 38px;
    }

    div[data-contenedor="#contenidoMenu"] {
        width: 30%;
    }
    div[data-contenedor="#contenidoIncluye"] {
        width: 30%;
    }
    div[data-contenedor="#contenidoExcluye"] {
        width: 30%;
    }
    div[data-contenedor="#contenidoPuntoPartida"] {
        width: 45%;
    }
    div[data-contenedor="#contenidoRecomendacion"] {
        width: 45%;
    }
    div[data-contenedor="#contenidoImportante"] {
        width: 42%;
    }
    div[data-contenedor="#contenidoHorarios"] {
        width: 30%;
    }
    div[data-contenedor="#contenidoPrecios"] {
        width: 20%;
    }

    .leyendasMapa td,
    .leyendasMapa th {
        padding: 0px;
    }


    .btnMenuComplemento{
        padding: 10px 10px;
        font-size: 14px;
        /* width: 100%;
        height: 100%;
        margin: auto 0px;
        background-color: white;
        border-radius: 10px;
        font-size: 16px;
        font-family: 'raleway', sans-serif;
        text-align: center; */
    }
    .tituloNombreTour{
        font-size: 30px;
    }
    #tituloComparteloAmigos{
        font-size: 45px!important;
    }

    #contenedorMenu{
        gap: 15px 5px;
        width: 98%;
        justify-content: center;
        margin: 10px auto;
    }
    .elementor-10289 .elementor-element.elementor-element-3b838fb>.elementor-widget-container {
        margin: -80px 0px 0px 0px;
        padding: 0px 0px 0px 0px;
    }
    .btn-cta.btn-black{
        padding: 15px 40px;
        border-radius: 60px;
    }
    .banner-footer{
        flex-direction: column;
    }
    .elementor-element-1e047d4{
        display: block;
    }
    .botonPreguntas {
        gap: 10px;
    }
    .botonPreguntas .btnMenu{
        text-decoration: underline!important;
    }
    .card-grid {
        grid-template-columns: repeat(2, 2fr); /* máximo 4 por fila */
        width: 100%;
        margin: 0px auto;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        padding: 0px;
    }
    .card-item {
        margin: 0px auto;
        /* width: 160px; */
        width: 100% ;
    }
    .swiper-slide {
        width: 100%;
    }
    .leyendasMapa img{
        width: 70px;
        height: 70px;
        margin-right: 0px;
    }

    .leyendasMapa > div {
        margin: 0.7rem 0px;
    }

    .leyendasMapa a{
        color: #000;
        text-decoration: underline;
        font-size: 24px;
    }

    .leyendasMapa img.disabled, .leyendasMapa span.disabled, .leyendasMapa a.disabled {
        display: none;
    }
    #btnBlancoReservar{
        border-radius: 8px!important;
    }



    .contenedorMapaIFrame{
        margin-top: 80px;
    }
    .tituloGenerico{
        font-size: 34px;
    }
    .contenedor-swiper-horarios{
        height: auto;
    }
    .circuloPrecio {
        width: 47%;
        min-width: 150px;
        height: 150px;
        border: 12px solid transparent;
    }
    .precio {
        font-size: 28px;
    }
    .swiperPrecios{
        width: 100%;
        max-height: 280px;
    }

    .divisa {
        font-size: 16px;
    }
    .contenedor-swiper-horarios .btnReservarGlobal{
        display: none;
    }
}
